﻿/**
 * Battle 
  */
{
  // Definitions.
  
  "def": {
    "hitlogHeader": {
      "enabled": ${"HawgPen/Hitlog/hitlog.xc":" enabled"},
      "updateEvent": "ON_DAMAGE_CAUSED, ON_PANEL_MODE_CHANGED",
      "x": "{{pp.mode=0?5|{{py:math.sum({{pp.widthLeft}},50)}}}}",
      "y": "{{pp.mode=0?65|40}}",
      "width": 500,
      "height": 1000,
      "textFormat": { "color": "0xF4EFE8", "size": 15 },
      "format": "{{hitlog-header}}"      
      // "format": "{{hitlog-header}}\n{{hitlog-body}}"
    },
    "hitlogBody": {
      "enabled": ${"HawgPen/Hitlog/hitlog.xc":" enabled"},
      "hotKeyCode": 56, "onHold": "true", "visibleOnHotKey": false,
      "updateEvent": "ON_DAMAGE_CAUSED, ON_PANEL_MODE_CHANGED",
      "x": "{{pp.mode=0?5|{{py:math.sum({{pp.widthLeft}},50)}}}}",
      "y": "{{pp.mode=0?95|65}}",
      "width": 500,
      "height": 1000,
      "textFormat": { "color": "0xF4EFE8", "size": 15 },
      "format": "{{hitlog-body}}"
    },
	"shells": {
      "enabled": ${"HawgPen/GunSights/ShellType/shelltype.xc":" enabled"},
      "updateEvent": "PY(ON_AMMO_CHANGED), PY(ON_CAMERA_MODE)",      
      "x": "{{py:sight.cameraMode=arc?-5|{{py:sight.cameraMode=sn?-5|{{py:sight.cameraMode=str?-5}}}}}}",
      "y": "{{py:sight.cameraMode=arc?75|{{py:sight.cameraMode=sn?220|{{py:sight.cameraMode=str?230}}}}}}",
      "rotation": 0,
       //"borderColor": "0x000000",
      "width": 200,
      "height": 40,
      "screenHAlign": "center",
      "screenVAlign": "center",
	  "alpha" : "{{py:sight.cameraMode=arc?80|{{py:sight.cameraMode=sn?80|{{py:sight.cameraMode=str?80}}}}}}",
      "shadow": { "distance": 1, "angle": 315, "alpha": 70, "blur": 5, "strength": 3 },
      "textFormat": { "align": "center", "color": "0xd4ffaa" },
      "format": "{{py:sight.quantityInClipShellsMax>1?clip <font face='Arial' size='21'>{{py:sight.quantityInClipShells~/}}</font><font face='Arial' size='20'>{{py:sight.quantityInClipShellsMax}}</font>  / <font face='Arial' size='20'>{{py:sight.shellType}} {{py:sight.quantityShells}}</font> |<font face='Arial' size='20'>{{py:sight.quantityShells}} {{py:sight.shellType}} </font>  }}"
    

    },
	"cameraMode": {
      "enabled": true,
      "updateEvent": "PY(ON_CAMERA_MODE)",
      "x": -2,
      "y": -74,
      "width": 536,
      "height": 283,
      "screenHAlign": "center",
      "screenVAlign": "center",
	  "alpha" : "{{py:sight.cameraMode=arc?100|0}}",
      "shadow": { "distance": 1, "angle": 90, "alpha": 70, "blur": 5, "strength": 3 },
      "format": "<img src='xvm://res/sight/{{py:sight.cameraMode}}Sight1.png'>"
    },
    "cameraMode_sn": {
      "enabled": true,
      "updateEvent": "PY(ON_CAMERA_MODE)",
      "x": -3,
      "y": 1,
      "width": 502,
      "height": 124,
      "screenHAlign": "center",
      "screenVAlign": "center",
	  "alpha" : "{{py:sight.cameraMode=sn?100|0}}",
      "shadow": { "distance": 1, "angle": 90, "alpha": 70, "blur": 5, "strength": 3 },
      "format": "<img src='xvm://res/sight/{{py:sight.cameraMode}}Sight1.png'>"
    },

    "name": {
      "enabled": ${"HawgPen/GunSights/PlayerName/playersname.xc":" enabled"},
      "updateEvent": "PY(ON_CAMERA_MODE), PY(ON_TARGET)",
      "x": "{{py:sight.cameraMode=arc?170|{{py:sight.cameraMode=sn?290|{{py:sight.cameraMode=str?275}}}}}}",
      "y": "{{py:sight.cameraMode=arc?-210|{{py:sight.cameraMode=sn?-140|{{py:sight.cameraMode=str?-45}}}}}}",
      "rotation": 0,
      "width": 250,
      "height": 35,
      "screenHAlign": "center",
      "screenVAlign": "center",
      "alpha" : "{{py:sight.nameTarget?{{py:sight.cameraMode=arc?100|100}}|100}}",
      "shadow": { "distance": 1, "angle": 90, "alpha": 70, "blur": 5, "strength": 3 },
      "textFormat": { "align": "left", "color": "0xd4ffaa" },
      "format": "<font face='' size='14'>{{py:sight.nameTarget}}</font>"
    },
    "infoTank": {
      "enabled": ${"HawgPen/GunSights/TankInfo/tankinfo.xc":" enabled"},
      "updateEvent": "PY(ON_CAMERA_MODE), PY(ON_TARGET)",
      "x": "{{py:sight.cameraMode=arc?190|{{py:sight.cameraMode=sn?310|{{py:sight.cameraMode=str?275}}}}}}",
      "y": "{{py:sight.cameraMode=arc?-190|{{py:sight.cameraMode=sn?-120|{{py:sight.cameraMode=str?-75}}}}}}",
      "rotation": 0,
      "width": 250,
      "height": 35,
      "screenHAlign": "center",
      "screenVAlign": "center",
      "alpha" : "{{py:sight.nameTarget?{{py:sight.cameraMode=arc?100|100}}|100}}",
      "shadow": { "distance": 1, "angle": 90, "alpha": 70, "blur": 5, "strength": 3 },
      "textFormat": { "align": "left", "color": "0xd4ffaa" },
      "format": "<font face='' size='16'>{{py:sight.vehicleTarget}}</font> <font face='' size='12'>{{py:sight.vtypeTarget}}</font>"
    },
	 "infoTTX": {
      "enabled": ${"HawgPen/GunSights/TargetPlayerReloadTime/targetplayerreloadtime.xc":" enabled"},
      "updateEvent": "PY(ON_CAMERA_MODE), PY(ON_TARGET)",
      "x": "{{py:sight.cameraMode=arc?220|{{py:sight.cameraMode=sn?325|{{py:sight.cameraMode=str?275}}}}}}",
      "y": "{{py:sight.cameraMode=arc?-150|{{py:sight.cameraMode=sn?-75|{{py:sight.cameraMode=str?15}}}}}}",
      "rotation": 0,
      "width": 250,
      "height": 35,
      "screenHAlign": "center",
      "screenVAlign": "center",
      "alpha" : "{{py:sight.nameTarget?{{py:sight.cameraMode=arc?100|100}}|100}}",
      "shadow": { "distance": 1, "angle": 90, "alpha": 70, "blur": 5, "strength": 3 },
      "textFormat": { "align": "left", "color": "0xd4ffaa" },
      "format": "{{py:sight.reloadTarget>0?reload <font face='' size='13'>{{py:sight.reloadTarget%3.2f}} s</font>|}}"
    },
      "visionTTX": {
      "enabled": ${"HawgPen/GunSights/TargetPlayerVision/targetplayervision.xc":" enabled"},
      "updateEvent": "PY(ON_CAMERA_MODE), PY(ON_TARGET)",
      "x": "{{py:sight.cameraMode=arc?130|{{py:sight.cameraMode=sn?235|{{py:sight.cameraMode=str?200}}}}}}",
      "y": "{{py:sight.cameraMode=arc?-170|{{py:sight.cameraMode=sn?-95|{{py:sight.cameraMode=str?-15}}}}}}",
      "rotation": 0,
      "width": 100,
      "height": 35,
      "screenHAlign": "center",
      "screenVAlign": "center",
      "alpha" : "{{py:sight.nameTarget?{{py:sight.cameraMode=arc?100|100}}|100}}",
      "shadow": { "distance": 1, "angle": 90, "alpha": 70, "blur": 5, "strength": 3 },
      "textFormat": { "align": "left", "color": "0xd4ffaa" },
      "format": "{{py:sight.visionRadiusTarget>0? <font face='' size='13'>{{py:sight.visionRadiusTarget%3.f}} m vision</font>|}}"
    },
	
    "element": {
      "enabled": ${"HawgPen/GunSights/Center_X_Mark/centerxmark.xc":" enabled"},
      "updateEvent": "PY(ON_CAMERA_MODE), PY(ON_PLAYER_HEALTH)",
      "x": "{{py:sight.cameraMode=arc?-10|{{py:sight.cameraMode=sn?-10}}}}",
      "y": "{{py:sight.cameraMode=arc?-60|{{py:sight.cameraMode=sn?20}}}}",
      "rotation": -45,
      "width": 40,
      "height": 40,
      "screenHAlign": "center",
      "screenVAlign": "center",
	  "alpha" : "{{py:sight.cameraMode=arc?30|{{py:sight.cameraMode=sn?30|{{py:sight.cameraMode=str?0}}}}}}",
      "textFormat": { "align": "center", "color": "0xd4ffaa" },
      "format": "<font face='Arial' size='40'>+</font>"
    },	
    "healthBar": {
      "enabled": ${"HawgPen/GunSights/HealthBarCircle/healthbar.xc":" enabled"},
      "updateEvent": "PY(ON_PLAYER_HEALTH), PY(ON_CAMERA_MODE)",
      "x": "{{py:sight.cameraMode=arc?0|{{py:sight.cameraMode=sn?0}}}}",
      "y": "{{py:sight.cameraMode=arc?-78|{{py:sight.cameraMode=sn?3}}}}",		  
      "rotation": 0,
      "width": 85,
      "height": 85,
      "screenHAlign": "center",
      "screenVAlign": "center",
 	  "alpha" : "{{py:sight.cameraMode=arc?40|{{py:sight.cameraMode=sn?40|{{py:sight.cameraMode=str?0}}}}}}",
      "shadow": { "distance": 1, "angle": 90, "alpha": 70, "blur": 5, "strength": 3 },
      "textFormat": { "align": "center", "color": "0x{{py:sight.dynamic_colorGRB( 0xd4ffaa, 0xff5d00,{{py:sight.health(100)}})}}" },	
      "format": "<font face='dynamic2' size='78'>{{py:sight.health(100)%.335a}}</font>"
    },
	"penetration": {
      "enabled": ${"HawgPen/GunSights/Penetration/penetration.xc":" enabled"},
      "updateEvent": "PY(ON_CAMERA_MODE), PY(ON_MARKER_POSITION), PY(ON_TARGET)",	  
      "x": "{{py:sight.cameraMode=arc?200|{{py:sight.cameraMode=sn?268|{{py:sight.cameraMode=str?-120}}}}}}",
      "y": "{{py:sight.cameraMode=arc?0|{{py:sight.cameraMode=sn?95|{{py:sight.cameraMode=str?140}}}}}}",
      "rotation": 0,
      "width": 150,
      "height": 150,
      "screenHAlign": "center",
      "screenVAlign": "center",
	  "alpha" : "{{py:sight.cameraMode=arc?80|{{py:sight.cameraMode=sn?80|{{py:sight.cameraMode=str?80}}}}}}",
      "shadow": { "distance": 1, "angle": 315, "alpha": 70, "blur": 5, "strength": 3 },
      "textFormat": { "align": "center", "color": "0xd4ffaa" },
      "format": "{{alive?{{py:sight.piercingActual>0?pen. <font face='Arial' size='24'>{{py:sight.piercingActual%3.f}}</font>mm.}}|}}" 
    },
     "health": {
      "enabled": ${"HawgPen/GunSights/Hitpoints/hitpoints.xc":" enabled"},
      "updateEvent": "PY(ON_PLAYER_HEALTH), PY(ON_CAMERA_MODE)",
      "x": "{{py:sight.cameraMode=arc?160|{{py:sight.cameraMode=sn?205|{{py:sight.cameraMode=str?170}}}}}}",
      "y": "{{py:sight.cameraMode=arc?-20|{{py:sight.cameraMode=sn?135|{{py:sight.cameraMode=str?50}}}}}}",		  
      "rotation": 0,
      "width": 125,
      "height": 35,
      "screenHAlign": "center",
      "screenVAlign": "center",
 	  "alpha" : "{{py:sight.cameraMode=arc?80|{{py:sight.cameraMode=sn?80|{{py:sight.cameraMode=str?80}}}}}}",  
      "shadow": { "distance": 1, "angle": 90, "alpha": 70, "blur": 5, "strength": 3 },
      "textFormat": { "align": "center", "color": "0x{{py:sight.dynamic_colorGRB( 0xd4ffaa, 0xff5d00,{{py:sight.health(100)}})}}" },	  
      "format": "<u><font face='Arial' size='22'>{{py:sight.health}}</font></u><font face='Arial' size='16'></font>hp"
    },
	"shells_speed": {
      "enabled": ${"HawgPen/GunSights/Arty_ShellSpeed/artyshellspeed.xc":" enabled"},
      "updateEvent": "PY(ON_PLAYER_HEALTH), PY(ON_TARGET), PY(ON_AMMO_CHANGED), PY(ON_CAMERA_MODE)",
      "x": "{{py:sight.cameraMode=arc?-5|{{py:sight.cameraMode=sn?-5|{{py:sight.cameraMode=str?-5}}}}}}",
      "y": "{{py:sight.cameraMode=arc?110|{{py:sight.cameraMode=sn?275|{{py:sight.cameraMode=str?300}}}}}}",
      "rotation": 0,
      "width": 200,
      "height": 40,
      "screenHAlign": "center",
      "screenVAlign": "center",
	  "alpha" : "{{py:sight.cameraMode=arc?0|{{py:sight.cameraMode=sn?0|{{py:sight.cameraMode=str?80}}}}}}",
      "shadow": { "distance": 1, "angle": 315, "alpha": 70, "blur": 5, "strength": 3 },
      "textFormat": { "align": "center", "color": "0xd4ffaa" },
      "format": "{{alive?flight speed <font face='Arial' size='24'>{{py:sight.shellSpeed%3.0f}}</font>m/s.|}}"
    },
    "reloadBar_line": { 
      "enabled": ${"HawgPen/GunSights/ReloadBar/reloadbar.xc":" enabled"},
      "updateEvent": "PY(ON_RELOAD), PY(ON_CAMERA_MODE)",
      "x": "{{py:sight.cameraMode=arc?-1|{{py:sight.cameraMode=sn?-1}}}}",
      "y": "{{py:sight.cameraMode=arc?-80|{{py:sight.cameraMode=sn?3}}}}",		  
      "rotation": 0,
      "width": 85,
      "height": 85,
      "screenHAlign": "center",
      "screenVAlign": "center",
 	  "alpha" : "{{py:sight.cameraMode=arc?40|{{py:sight.cameraMode=sn?40|{{py:sight.cameraMode=str?0}}}}}}",
      "shadow": { "distance": 1, "angle": 90, "alpha": 70, "blur": 5, "strength": 3 },
      "textFormat": { "align": "center", "color": "0x{{py:sight.dynamic_colorGRB( 0xd4ffaa, 0xff5d00,{{py:sight.reloadPercent}})}}" },	  
      "format": "<font face='dynamic' size='78'>{{py:sight.reloadPercent%.436a}}</font>"
    },
    "reload_percent": {
      "enabled": false,
      "updateEvent": "PY(ON_RELOAD), PY(ON_CAMERA_MODE)",
      "x": "{{py:sight.cameraMode=arc?-165|{{py:sight.cameraMode=sn?-235|{{py:sight.cameraMode=str?-170}}}}}}",
      "y": "{{py:sight.cameraMode=arc?40|{{py:sight.cameraMode=sn?118}}}}",
      "rotation": 0,
      "width": 300,
      "height": 140,
      "screenHAlign": "center",
      "screenVAlign": "center",
	  "alpha" : "{{py:sight.cameraMode=arc?60|{{py:sight.cameraMode=sn?60|{{py:sight.cameraMode=str?0}}}}}}",	 
      "shadow": { "distance": 1, "angle": 90, "alpha": 70, "blur": 5, "strength": 3 },
      "textFormat": { "align": "center", "color": "0x{{py:sight.dynamic_colorGRB( 0xd4ffaa, 0xff5d00,{{py:sight.reloadPercent}})}}" },	  
      "format": "{{alive?<font face='Arial' size='20'>{{py:sight.reloadPercent<100?reload{{py:sight.reloadPercent%3.f}}%|}}|}}</font>"
    },
    "healthBar_line": {
      "enabled": false,
      "updateEvent": "PY(ON_RELOAD), PY(ON_CAMERA_MODE)",
      "x": "{{py:sight.cameraMode=arc?178|{{py:sight.cameraMode=sn?265}}}}",
      "y": "{{py:sight.cameraMode=arc?-145|{{py:sight.cameraMode=sn?25}}}}",	  	  
      "rotation": 0,
      "width": 300,
      "height": 140,
      "screenHAlign": "center",
      "screenVAlign": "center",
	  "alpha" : "{{py:sight.cameraMode=arc?60|{{py:sight.cameraMode=sn?60|{{py:sight.cameraMode=str?0}}}}}}",	
      "shadow": { "distance": 1, "angle": 90, "alpha": 70, "blur": 5, "strength": 3 },
      "textFormat": { "align": "center", "color": "0x{{py:sight.dynamic_colorGRB( 0xd4ffaa, 0xff5d00,{{py:sight.health(100)}})}}" },	
      "format": "<font face='dynamic' size='130'>{{py:sight.health(100)%.436a}}</font>"
    },
    "healthPercent": {
      "enabled": true,
      "updateEvent": "(ON_BATTLE_TIMER), PY(ON_PLAYER_HEALTH), PY(ON_CAMERA_MODE)",
	  "x": "{{py:sight.cameraMode=arc?160|{{py:sight.cameraMode=sn?160}}}}",
      "y": "{{py:sight.cameraMode=arc?45|{{py:sight.cameraMode=sn?195}}}}",	  
      "rotation": 0,
      "width": 300,
      "height": 140,
      "screenHAlign": "center",
      "screenVAlign": "center",
	  "alpha" : "{{py:sight.cameraMode=arc?60|{{py:sight.cameraMode=sn?60|{{py:sight.cameraMode=str?0}}}}}}",
      "shadow": { "distance": 1, "angle": 90, "alpha": 70, "blur": 5, "strength": 3 },
      "textFormat": { "align": "center", "color": "0x{{py:sight.dynamic_colorGRB( 0xd4ffaa, 0xff5d00,{{py:sight.health(100)}})}}" },	
      "format": "health<font face='Arial' size='20'> {{py:sight.health(100)}}%</font>" // using {{alive}}, {{py:xvm.startBattle}} or {{py:sight.isBattle}} do not work properly
	},
    "distances": {
      "enabled": ${"HawgPen/GunSights/AimDistances/aimdistances.xc":" enabled"},
      "updateEvent": "PY(ON_CAMERA_MODE), PY(ON_MARKER_POSITION)",
      "x": "{{py:sight.cameraMode=arc?-1|{{py:sight.cameraMode=sn?-1|{{py:sight.cameraMode=str?-1}}}}}}",
      "y": "{{py:sight.cameraMode=arc?-235|{{py:sight.cameraMode=sn?-235|{{py:sight.cameraMode=str?-135}}}}}}",
      "rotation": 0,
      "width": 100,
      "height": 45,
      "screenHAlign": "center",
      "screenVAlign": "center",
      "alpha" : "{{py:sight.cameraMode=arc?80|{{py:sight.cameraMode=sn?80|{{py:sight.cameraMode=str?0}}}}}}",	  
      "shadow": { "distance": 1, "angle": 90, "alpha": 70, "blur": 5, "strength": 3 },
      "textFormat": { "align": "center", "color": "0xd4ffaa" },
      "format": "{{alive?{{py:sight.isBattle?<font face='Arial' size='20'>{{py:sight.distance%3.f}}</font> m.|}}|}}"
    },
    "timeReloadClip": {
      "enabled": ${"HawgPen/GunSights/ClipReloadTime/clipreloadtime.xc":" enabled"},
      "updateEvent": "PY(ON_RELOAD), PY(ON_CAMERA_MODE)",
	  "x": "{{py:sight.cameraMode=arc?-147|{{py:sight.cameraMode=sn?-225|{{py:sight.cameraMode=str?-155}}}}}}",
	  "y": "{{py:sight.cameraMode=arc?-160|{{py:sight.cameraMode=sn?-88|{{py:sight.cameraMode=str?-75}}}}}}",
      "rotation": 0,
      "width": 100,
      "height": 45,
      "screenHAlign": "center",
      "screenVAlign": "center",
	  "alpha" : "{{py:sight.cameraMode=arc?80|{{py:sight.cameraMode=sn?80|{{py:sight.cameraMode=str?80}}}}}}",
      "shadow": { "distance": 1, "angle": 90, "alpha": 70, "blur": 5, "strength": 3 },
      "textFormat": { "align": "center", "color": "0xd4ffaa" },
      "format": "{{alive?{{py:xvm.startBattle!=3?|<font face='Arial' size='24'>{{py:sight.reloadTimeClip%3.2f}}}}|}}</font>"
    },
    "baseTimeReload": {
      "enabled": ${"HawgPen/GunSights/ReloadTime/reloadtime.xc":" enabled"},
      "updateEvent": "PY(ON_RELOAD), PY(ON_CAMERA_MODE)",
      "x": "{{py:sight.cameraMode=arc?-165|{{py:sight.cameraMode=sn?-235|{{py:sight.cameraMode=str?-170}}}}}}",
      "y": "{{py:sight.cameraMode=arc?-100|{{py:sight.cameraMode=sn?-25|{{py:sight.cameraMode=str?1}}}}}}",
      "rotation": 0,
      "width": 100,
      "height": 45,
      "screenHAlign": "center",
      "screenVAlign": "center",
	  "alpha" : "{{py:sight.cameraMode=arc?80|{{py:sight.cameraMode=sn?80|{{py:sight.cameraMode=str?80}}}}}}",
      "shadow": { "distance": 1, "angle": 90, "alpha": 70, "blur": 5, "strength": 3 },
      "textFormat": { "align": "center", "color": "0xd4ffaa" },
      "format": "{{alive?<font face='Arial' size='20'>{{py:sight.reloadTime%3.2f}}</font>|}}"
    },
	"timeReload": {
      "enabled": ${"HawgPen/GunSights/ReloadCountDown/reloadcountdown.xc":" enabled"},
      "updateEvent": "PY(ON_RELOAD), PY(ON_CAMERA_MODE)",
      "x": "{{py:sight.cameraMode=arc?-165|{{py:sight.cameraMode=sn?-235|{{py:sight.cameraMode=str?-170}}}}}}",
      "y": "{{py:sight.cameraMode=arc?-30|{{py:sight.cameraMode=sn?48|{{py:sight.cameraMode=str?80}}}}}}",
      "rotation": 0,
      "width": 100,
      "height": 45,
      "screenHAlign": "center",
      "screenVAlign": "center",
 	  "alpha" : "{{py:sight.cameraMode=arc?80|{{py:sight.cameraMode=sn?80|{{py:sight.cameraMode=str?80}}}}}}",
      "shadow": { "distance": 1, "angle": 90, "alpha": 70, "blur": 5, "strength": 3 },
      "textFormat": { "align": "center", "color": "0x{{py:sight.dynamic_colorGRB( 0xd4ffaa, 0xff5d00,{{py:sight.reloadPercent}})}}" },  
      "format": "{{alive?<font face='Arial' size='24'>{{py:sight.leftTime=0?{{py:sight.quantityInClipShells>0?{{py:sight.leftTime=0?Ready|{{py:sight.reloadTimeClip%3.2f}}}}|}}|{{py:sight.leftTime%3.2f}}}}</font>|}}"
	},

  	  "piercingActual_arty": {
      "enabled": ${"HawgPen/GunSights/Arty_Shell_Penetration/artyshellpenetration.xc":" enabled"},
      "updateEvent": "PY(ON_CAMERA_MODE), PY(ON_MARKER_POSITION)",
      "x": -25,
      "y": 300,
      "rotation": 0,
      "width": 150,
      "height": 150,
      "screenHAlign": "center",
      "screenVAlign": "center",
      "alpha" : "{{py:sight.cameraMode=str?80|0}}",
      "shadow": { "distance": 1, "angle": 90, "alpha": 70, "blur": 5, "strength": 3 },
      "textFormat": { "align": "center", "color": "0xd4ffaa" },
      "format": "penetration ~<font face='Arial' size='24'>{{py:sight.piercingActual>0?{{py:sight.piercingActual%3.f}}}}</font>mm. / "
    },	  
	  "timeAIM_arty": {
      "enabled": ${"HawgPen/GunSights/Arty_AimTime/artyaimtime.xc":" enabled"},
      "updateEvent": "PY(ON_CAMERA_MODE), PY(ON_MARKER_POSITION), PY(ON_RELOAD)",
      "x": -15,
      "y": -190,
      "rotation": 0,
      "width": 150,
      "height": 150,
      "screenHAlign": "center",
      "screenVAlign": "center",
      "alpha" : "{{py:sight.cameraMode=str?80|0}}",
      "shadow": { "distance": 1, "angle": 90, "alpha": 70, "blur": 5, "strength": 3 },
      "textFormat": { "align": "center", "color": "0xd4ffaa" },
      "format": "aim ~ <font face='Arial' size='24'>{{py:sight.timeAIM%3.0f}} sec.</font>"
    },	
	  "distances_arty": {
      "enabled": ${"HawgPen/GunSights/Arty_Distance/artydistance.xc":" enabled"},
      "updateEvent": "PY(ON_CAMERA_MODE), PY(ON_MARKER_POSITION)",
      "x": -10,
      "y": -135,
      "rotation": 0,
      "width": 150,
      "height": 150,
      "screenHAlign": "center",
      "screenVAlign": "center",
      "alpha" : "{{py:sight.cameraMode=str?80|0}}",
      "shadow": { "distance": 1, "angle": 90, "alpha": 70, "blur": 5, "strength": 3 },
      "textFormat": { "align": "center", "color": "0xd4ffaa" },
      "format": "range  <font face='Arial' size='24'>{{py:sight.distance%3.0f}}</font>m."
    },
	  "timeFlight_arty": {
      "enabled": ${"HawgPen/GunSights/Arty_Shell_FlightTime/artyshellflighttime.xc":" enabled"},
      "updateEvent": "PY(ON_PLAYER_HEALTH), PY(ON_CAMERA_MODE), PY(ON_MARKER_POSITION)",
      "x": -5,
      "y": -160,
      "rotation": 0,
      "width": 150,
      "height": 150,
      "screenHAlign": "center",
      "screenVAlign": "center",
      "alpha" : "{{py:sight.cameraMode=str?80|0}}",
      "shadow": { "distance": 1, "angle": 315, "alpha": 70, "blur": 5, "strength": 3 },
      "textFormat": { "align": "center", "color": "0xd4ffaa" },
      "format": "flight time ~ <font face='Arial' size='22'>{{py:sight.timeFlight%3.2f}} sec.</font>"
    },
    "healthBar_arty": {
      "enabled": ${"HawgPen/GunSights/Arty_HealthBar/artyhealthbar.xc":" enabled"},
      "updateEvent": "PY(ON_PLAYER_HEALTH), PY(ON_CAMERA_MODE)",
      "x": 0,	  
      "y": 335,
      "rotation": 0,
      "width": 1500,
      "height": 1500,
      "screenHAlign": "center",
      "screenVAlign": "center",
      "alpha" : "{{py:sight.cameraMode=str?12|0}}",
      "shadow": { "distance": 1, "angle": 315, "alpha": 70, "blur": 5, "strength": 3 },
      "textFormat": { "align": "center", "color": "0x{{py:sight.dynamic_colorGRB( 0xd4ffaa, 0xff5d00,{{py:sight.health(100)}})}}" },	
      "format": "<font face='dynamic2' size='850'>{{py:sight.health(100)%.335a}}</font>"
    },
    "reloadBar_arty": {
      "enabled": ${"HawgPen/GunSights/Arty_ReloadBar/artyreloadbar.xc":" enabled"},
      "updateEvent": "PY(ON_RELOAD), PY(ON_CAMERA_MODE)",
      "x": 0,
      "y": 5,
      "rotation": 0,
      "width": 600,
      "height": 140,
      "screenHAlign": "center",
      "screenVAlign": "center",
	  "alpha" : "{{py:sight.cameraMode=str?35|0}}",
      "shadow": { "distance": 1, "angle": 90, "alpha": 70, "blur": 5, "strength": 3 },
      "textFormat": { "align": "center", "color": "0x{{py:sight.dynamic_colorGRB( 0xd4ffaa, 0xff5d00,{{py:sight.reloadPercent}})}}" },
      "format": "<font face='dynamic2' size='130'>{{py:sight.reloadPercent%.335a}}</font>"
    },
    //________________________________________
    "totalHP": {
      "enabled": ${"HawgPen/TotalHP/totalhp.xc":" enabled"},
      "updateEvent": "PY(ON_UPDATE_HP)",
      "x": 0,
      "y": 30,
      "screenHAlign": "center",
      "align": "center",
      "shadow": { "distance": 1, "angle": 90, "alpha": 80, "blur": 5, "strength": 1.5 },
      "textFormat": { "font": "mono", "size": 18, "align": "center" },
      "format": "{{py:xvm.total_hp.text}}"
    },
    
    "avgDamage": {
      "enabled": ${"HawgPen/AverageDamage/avgdamage.xc":" enabled"},
      "updateEvent": "PY(ON_UPDATE_HP)",
      "x": -150,
      "y": 30,
      "screenHAlign": "center",
      "align": "right",
      "shadow": { "distance": 1, "angle": 90, "alpha": 80, "blur": 5, "strength": 1.5 },
      "textFormat": { "size": 15, "align": "center" },
      "format": "{{py:xvm.total_hp.avgDamage('{{l10n:avgDamage}}: ',{{hitlog.dmg-total}})}}"
    },
    
    "mainGun": {
      "enabled": ${"HawgPen/HighCaliber/highcaliber.xc":" enabled"},
      "updateEvent": "PY(ON_UPDATE_HP)",
      "x": 170,
      "y": 30,
      "screenHAlign": "center",
      "shadow": { "distance": 1, "angle": 90, "alpha": 80, "blur": 5, "strength": 1.5 },
      "textFormat": { "size": 15, "align": "center" },
      "format": "{{py:xvm.total_hp.mainGun('{{l10n:mainGun}}: ',{{hitlog.dmg-total}})}}"
    },
    
    "winChance": {
      "enabled": false,
      "updateEvent": "ON_VEHICLE_DESTROYED",
      "x": 230,
      "y": 2,
      "shadow": { "distance": 1, "angle": 90, "alpha": 80, "blur": 5, "strength": 1.5 },
      "textFormat": { "size": 15 },
      "format": "{{xvm-stat?{{l10n:Team strength}}: {{py:xvm.team_strength('{{allyStrengthStatic}}','{{enemyStrengthStatic}}')}} / {{py:xvm.team_strength('{{allyStrengthLive}}','{{enemyStrengthLive}}')}}}}"
    },
    "damageLog": {
      "enabled": ${"HawgPen/DamageLog/damagelog.xc":" enabled"},
      "updateEvent": "PY(ON_HIT)",
      "x": "{{py:xvm.damageLog.dLog_x}}",
      "y": "{{py:xvm.damageLog.dLog_y}}",
      "width": 300,
      "height": 210,
	  "layer": "bottom",
      "screenVAlign": "bottom",
      "shadow": { 
        "distance": "{{py:xvm.damageLog.dLog_shadow('distance')}}",
        "angle": "{{py:xvm.damageLog.dLog_shadow('angle')}}",
        "color": "{{py:xvm.damageLog.dLog_shadow('color')}}",
        "alpha": "{{py:xvm.damageLog.dLog_shadow('alpha')}}",
        "blur": "{{py:xvm.damageLog.dLog_shadow('blur')}}",
        "strength": "{{py:xvm.damageLog.dLog_shadow('strength')}}",
        "hideObject": "{{py:xvm.damageLog.dLog_shadow('hideObject')}}",
        "inner": "{{py:xvm.damageLog.dLog_shadow('inner')}}",
        "knockout": "{{py:xvm.damageLog.dLog_shadow('knockout')}}",
        "quality": "{{py:xvm.damageLog.dLog_shadow('quality')}}" 
      },
      "textFormat": { "color": "0xF4EFE8", "size": 16},
      "format": "{{py:xvm.damageLog.dLog}}",
      "mouseEvents": {
        "mouseDown": "dLog_mouseDown",
        "mouseUp": "dLog_mouseUp",
        "mouseMove": "dLog_mouseMove"
      }
    },
     
    "damageLogBackground": {
      "enabled": false,
      "$ref": { "path":"def.damageLog" },
      "format": "{{py:xvm.damageLog.dLogBackground}}"
    },    
    "lastHit": {
      "enabled": true,
      "updateEvent": "PY(ON_LAST_HIT)",
      "x": "{{py:xvm.damageLog.lastHit_x}}",
      "y": "{{py:xvm.damageLog.lastHit_y}}",
      "width": 200,
      "height": 100,
	  "layer": "bottom",
      "screenHAlign": "center",
      "screenVAlign": "center",
      "shadow": { 
        "distance": "{{py:xvm.damageLog.lastHit_shadow('distance')}}",
        "angle": "{{py:xvm.damageLog.lastHit_shadow('angle')}}",
        "color": "{{py:xvm.damageLog.lastHit_shadow('color')}}",
        "alpha": "{{py:xvm.damageLog.lastHit_shadow('alpha')}}",
        "blur": "{{py:xvm.damageLog.lastHit_shadow('blur')}}",
        "strength": "{{py:xvm.damageLog.lastHit_shadow('strength')}}",
        "hideObject": "{{py:xvm.damageLog.lastHit_shadow('hideObject')}}",
        "inner": "{{py:xvm.damageLog.lastHit_shadow('inner')}}",
        "knockout": "{{py:xvm.damageLog.lastHit_shadow('knockout')}}",
        "quality": "{{py:xvm.damageLog.lastHit_shadow('quality')}}" 
      },
      "textFormat": {"align": "center", "color": "0xF4EFE8", "size": 16 },
      "format": "{{py:xvm.damageLog.lastHit}}",
      "mouseEvents": {
        "mouseDown": "lastHit_mouseDown",
        "mouseUp": "lastHit_mouseUp",
        "mouseMove": "lastHit_mouseMove"
      }
    },
    "fire": {
      "enabled": false,
      "updateEvent": "PY(ON_FIRE)",
      "x": 120,
      "y": 200,
      "width": 200,
      "height": 100,
      "alpha": "{{py:xvm.damageLog.fire}}",
	  "layer": "bottom",
      "screenHAlign": "center",
      "screenVAlign": "center",
      "shadow": { "distance": 1, "angle": 90, "alpha": 80, "blur": 5, "strength": 3 },
      "textFormat": {"align": "center", "color": "0xF4EFE8", "size": 16 },
      "format": "ПОЖАР"
    },
    "totalEfficiency": {
      "enabled": ${"HawgPen/Efficiency/efficiency.xc":" enabled"},
      "updateEvent": "PY(ON_TOTAL_EFFICIENCY), ON_PANEL_MODE_CHANGED",
      "x": "{{pp.mode=0?5|{{py:math.sum({{pp.widthLeft}},50)}}}}",
      "y": "{{pp.mode=0?65|35}}",
      "width": "{{py:xvm.isStuns?350|260}}",
      "height": 22,
      "textFormat": { "size": 16 },
      "format": "<textformat tabstops='[65,130,196]' leading='-2' ><img src='xvm://res/icons/Efficiency/damage.png' vspace='-2'> <font color='{{py:xvm.totalDamage>0?{{py:xvm.totalDamageColor}}}}'>{{py:xvm.totalDamage}}</font><tab><img src='xvm://res/icons/Efficiency/stun.png' vspace='-2'> {{py:xvm.totalStun}}</textformat>"
    },
    
    "repairTimeItem": {
      "width": 47,
      "height": 40,
      "screenHAlign": "left",
      "screenVAlign": "bottom",
      "shadow": { "distance": 1, "angle": 90, "alpha": 90, "blur": 5, "strength": 4 },
      "textFormat": { "color": "0xF4EFE8", "size": 17, "align": "center", "valign": "center" }
    },
    
    "repairTimeEngine": {
      "$ref": { "path":"def.repairTimeItem" },
      "enabled": true,
      "updateEvent": "PY(ON_ENGINE_UPDATE)",
      "x": 4,
      "y": -147,
      "format": "<b>{{py:repairTimeEngine%0.1f}}</b>"
    },
    
    "repairTimeGun": {
      "$ref": { "path":"def.repairTimeItem" },
      "enabled": true,
      "updateEvent": "PY(ON_GUN_UPDATE)",
      "x": 4,
      "y": -69,
      "format": "<b>{{py:repairTimeGun%0.1f}}</b>"
    },
    
    "repairTimeTurret": {
      "$ref": { "path":"def.repairTimeItem" },
      "enabled": true,
      "updateEvent": "PY(ON_TURRET_UPDATE)",
      "x": 4,
      "y": -30,
      "format": "<b>{{py:repairTimeTurret%0.1f}}</b>"
    },
    
    "repairTimeTracks": {
      "$ref": { "path":"def.repairTimeItem" },
      "enabled": true,
      "updateEvent": "PY(ON_TRACKS_UPDATE)",
      "x": 177,
      "y": -147,
      "format": "<b>{{py:repairTimeTracks%0.1f}}</b>"
    },
    
    "repairTimeSurveying": {
      "$ref": { "path":"def.repairTimeItem" },
      "enabled": true,
      "updateEvent": "PY(ON_SURVEYING_UPDATE)",
      "x": 177,
      "y": -108,
      "format": "<b>{{py:repairTimeSurveying%0.1f}}</b>"
    },
	
    
    "repairTimeRadio": {
      "$ref": { "path":"def.repairTimeItem" },
      "enabled": true,
      "updateEvent": "PY(ON_RADIO_UPDATE)",
      "x": 177,
      "y": -69,
      "format": "<b>{{py:repairTimeRadio%0.1f}}</b>"
    }
  }
}
