﻿/**
 * Parameters for hangar
 */
{
  "hangar": {   
    "showBuyPremiumButton": true,    
    "showPremiumShopButton": true,    
    "showGeneralChatButton": true,    
    "enableGoldLocker": false,    
    "enableFreeXpLocker": false,    
    "serverInfo": {     
      "enabled": true,      
      "alpha": 100,      
      "rotation": 0,      
      "offsetX": 0,      
      "offsetY": 0
    },    
    "enableCrewAutoReturn": true,    
    "crewReturnByDefault": false,   
    "crewMaxPerksCount": 8,    
    "commonQuests": {      
      "enabled": true,      
      "alpha": 100,     
      "rotation": 0,      
      "offsetX": -10,      
      "offsetY": 0
    },   
    "personalQuests": {      
      "enabled": true,      
      "alpha": 100,      
      "rotation": 0,      
      "offsetX": 233,      
      "offsetY": 0
    },    
    "vehicleName": {      
      "enabled": true,      
      "alpha": 100,      
      "rotation": 0,      
      "offsetX": -35,      
      "offsetY": 55
    },    
    "defaultBoughtForCredits": false,    
    "enableEquipAutoReturn": true,    
    "blockVehicleIfLowAmmo": false,    
    "lowAmmoPercentage": 20,
    // Behavior of the system channel notifications button on new notifications:
    //   none - do nothing
    //   blink - blink button
    //   full - blink and show counter (default client behavior)  
    
    "notificationsButtonType": "blink",    
    "hidePricesInTechTree": false,    
    "masteryMarkInTechTree": true,    
    "allowExchangeXPInTechTree": true,    
    "barracksShowFlags": true,    
    "barracksShowSkills": true,    
    "pingServers": {      
      "enabled": true,      
      "updateInterval": 10000,      
      "x": -25,
      "y": 51,      
      "hAlign": "right",      
      "vAlign": "top",      
      "alpha": 80,      
      "bgImage": "cfg://HAWGS/img/ribon.png",      
      "delimiter": ": ",      
      "maxRows": 4,      
      "columnGap": 4,      
      "leading": 0,      
      "layer": "normal",      
      "showTitle": true,      
      "showServerName": true,      
      "minimalNameLength": 4,     
      "minimalValueLength": 0,      
      "errorString": "--",      
      "ignoredServers": [],      
      "fontStyle": {        
        "name": "$FieldFont",
        "size": 12,         
        "bold": false,      
        "italic": false,
        
        "color": {
          "great": "0xFFCC66",  
          "good":  "0xE5E4E1",  
          "poor":  "0x96948F",  
          "bad":   "0xD64D4D"   
        },
        
        "markCurrentServer": "bold",        
        "serverColor": ""
      },      
      "threshold": {        
        "great": 35,        
        "good": 60,        
        "poor": 101        
      },      
      "shadow": {
        // false - no shadow
        // false - без тени
        "enabled": true,
        "distance": 0,             
        "angle": 0,                
        "color": "0x000000",       
        "alpha": 70,               
        "blur": 4,                 
        "strength": 2              
      }
    },
    "onlineServers": {      
      "enabled": false,      
      "x": -3,
      "y": 51,      
      "hAlign": "right",      
      "vAlign": "top",      
      "alpha": 80,      
      "bgImage": null,      
      "delimiter": ": ",      
      "maxRows": 2,      
      "columnGap": 3,      
      "leading": 0,      
      "layer": "normal",      
      "showTitle": true,      
      "showServerName": true,      
      "minimalNameLength": 4,      
      "minimalValueLength": 0,      
      "errorString": "--k",      
      "ignoredServers": [],      
      "fontStyle": {
        
        "name": "$FieldFont",
        "size": 12,         
        "bold": false,      
        "italic": false,    
        
        "color": {
          "great": "0x60ff00",  
          "good":  "0xF8F400",  
          "poor":  "0xFE7903",  
          "bad":   "0xFE0E00"   
        },
        
        "markCurrentServer": "bold",
		
        // Color for server name and delimiter (for example, "0x8080FF"). Empty string "" - use same color as online value
        
        "serverColor": "0x8080FF"
      },      
      "threshold": {
        "great": 20000,
        "good": 70000,
        "poor": 2500        
      },      
      "shadow": {
        "enabled": true,
        "distance": 0,
        "angle": 0,
        "color": "0x000000",
        "alpha": 70,
        "blur": 4,
        "strength": 2
      }
    },
    
    "carousel": ${"carouselHAX.xc":"carousel"},    
    "widgets": ${"widgetsHAX.xc":"widgets.lobby"}
  }
}
