﻿/**
 * Widgets templates. 
 */
{
 "Hawgs":  {
    // disabled: false
	"enabled": true,
    // layer - "bottom", "normal" (default), "top".
    "layer": "normal",
    "type": "extrafield",
    "formats": [
      { // Event Handler
	    "updateEvent": " ON_PANEL_MODE_CHANGED",
        "x": 0,
        "y":50,
        "screenHAlign": "center",
        "format": "<img src='cfg://HAWGS/img/hawg.png'>"
      },	
      {
	  //============= clock =========================================================
        "updateEvent": " ON_EVERY_SECOND ",	  
        "x": -139,
        // Vertical position.
        "y": 220,
        // Width.
        "width": 400,
        // Height.
        "height": 50,
        // Horizontal alignment of field at screen ("left", "center", "right").
        "screenHAlign": "center",
        "shadow": {
          // false - no shadow
          // false - ??? ????
          "enabled": true,
          "distance": 1,             // (in pixels)     / offset distance 
          "angle": 1,                // (0.0 .. 360.0)  / offset angle    
          "color": "0xFFFFFF",       // "0xXXXXXX"      / color           
          "alpha": 70,               // (0 .. 100)      / opacity        
          "blur": 4,                 // (0.0 .. 255.0)  / blur            
          "strength": 2              // (0.0 .. 255.0)  / intensity       
        },
        "textFormat": { "align": "right", "valign": "center", "color": "0xFF0000" },
		"format": "<font face='Tahoma' size='25' >{{py:xvm.formatDate('%I:%M ')}}</font><font face='Tahoma' size='22'>{{py:xvm.formatDate('%p')}}</font>"
		//"format": "<font face='$FieldFont'><textformat leading='-30'><font size='30'>{{py:xvm.formatDate('%I:%M %p')}}</font><br></textformat><textformat rightMargin='168' leading='-2'>{{py:xvm.formatDate('%Au')}}<br><font size='17'>{{py:xvm.formatDate('%bu %d ')}}</font></textformat></font>"
        //"format": "<font face='$FieldFont'><textformat leading='-30'><font size='30'>{{py:xvm.formatDate('%I:%M %p')}}</font><br></textformat><textformat rightMargin='168' leading='-2'>{{py:xvm.formatDate('%Au')}}<br><font size='17'>{{py:xvm.formatDate('%bu %d ')}}</font></textformat></font>"
      },
         //============= Hawg's Alternative Xvm =========================================================	  
      {
        "updateEvent": " ON_PANEL_MODE_CHANGED",	  
        "x": -20,
        // Vertical position.
        "y": 20,
        // Width.
        "width": 300,
        // Height.
        "height": 50,
        // Horizontal alignment of field at screen ("left", "center", "right").
        "screenHAlign": "center",
        "shadow": {
          // false - no shadow
          "enabled": true,
          "distance": 1,             // (in pixels)     / offset distance 
          "angle": 1,                // (0.0 .. 360.0)  / offset angle    
          "color": "0xFFFFFF",       // "0xXXXXXX"      / color           
          "alpha": 70,               // (0 .. 100)      / opacity        
          "blur": 4,                 // (0.0 .. 255.0)  / blur            
          "strength": 2              // (0.0 .. 255.0)  / intensity       
        },
        "textFormat": { "align": "right", "valign": "center", "color": "0xFF0000" },
        "format": "<font face='Tahoma'><font size='25'>Hawg's Alternative Xvm</font></font>"
      },
	   //=============Update Curse.com =========================================================	  
      {
        "updateEvent": " ON_PANEL_MODE_CHANGED",	  
        "x": -55,
        // Vertical position.
        "y": 970,
        // Width.
        "width": 600,
        // Height.
        "height": 50,
        // Horizontal alignment of field at screen ("left", "center", "right").
        "screenHAlign": "center",
        "shadow": {
          // false - no shadow
          "enabled": false,
          "distance": 1,             // (in pixels)     / offset distance 
          "angle": 1,                // (0.0 .. 360.0)  / offset angle    
          "color": "0xFFFFFF",       // "0xXXXXXX"      / color           
          "alpha": 50,               // (0 .. 100)      / opacity        
          "blur": 4,                 // (0.0 .. 255.0)  / blur            
          "strength": 2              // (0.0 .. 255.0)  / intensity       
        },
        "textFormat": { "align": "right", "valign": "center", "color": "0x9800FF" },
        "format": "<font face='Tahoma'><font size='15'> Hawg's Xvm Update & Tech Help @ worldoftanks.curseforge.com/wot-mods</font></font>"
      },
	  //============= Day of week =========================================================
      {
        "updateEvent": "ON_EVERY_SECOND",
        // Horizontal position.
        "x": -171,
        // Vertical position.
        "y": 195,
        // Width.
        "width": 300,
        // Height.
        "height": 40,
        // Horizontal alignment of field at screen ("left", "center", "right").
        "screenHAlign": "center",
        // false - no shadow
        "shadow": {"enabled": true,"distance": 1,"angle": 1,"color": "0xFFFFFF", "alpha":70,"blur": 4,"strength": 2},
               
        "textFormat": { "align": "right", "valign": "top", "color": "0xFF0000" },
        // displayed text field data (HTML allowed, macros allowed) (default: "")
        "format": "<font face='Tahoma'><font size='25'>{{py:xvm.formatDate('%Au')}} </font></font>"
      },
	   //============== Date============================================================== 
      {
        "updateEvent": "ON_EVERY_SECOND",
        // Horizontal position.
        "x": -17,
        // Vertical position.
        "y": 195,
        // Width.
        "width": 300,
        // Height.
        "height": 40,
        // Horizontal alignment of field at screen ("left", "center", "right").
        "screenHAlign": "center",
        // false - no shadow
        "shadow": {"enabled": true,"distance": 1,"angle": 1,"color": "0xFFFFFF", "alpha":70,"blur": 4,"strength": 2},
               
        "textFormat": { "align": "right", "valign": "top", "color": "0xFF0000" },
        // displayed text field data (HTML allowed, macros allowed) (default: "")
        "format": "<font face='Tahoma'><font size='25'>{{py:xvm.formatDate(' %d %bu %Y')}}</font></font>"
      }
    ]	 
  },
//-----------------------------------------------------------|Hangar Clock|----------------------------------------------------------------------------------------|
   // Show clock in hangar. 
  "clock": {
    // Show clock in hangar.
    "enabled": true,
    // layer - "bottom", "normal" (default), "top".
    "layer": "normal",
    "type": "extrafield",
    "formats": [
      {
        "updateEvent": "ON_EVERY_SECOND",
        // Horizontal position.
        "x": 8,
        // Vertical position.
        "y": 100,
        // Width.
        "width": 228,
        // Height.
        "height": 173,           
        // Horizontal alignment of field at screen ("left", "center", "right").
        "screenHAlign": "center",
        // draw border with specified color (macros allowed) (default: null)
        "borderColor": null,
        //  draw background with specified color (macros allowed) (default: null)
        "bgColor": null,      
        // shadow settings
        "shadow": { "enabled": true, "distance": 0, "angle": 0, "color": "0x000000", "alpha": 80, "blur": 4, "strength": 2},
        // it applies global style to HTML in "format"; note, that defined font attributes in "format" override those in "textFormat"
        "textFormat": { "align": "right", "valign": "top", "color": "0xFFD800" },
        // displayed text field data (HTML allowed, macros allowed) (default: "")
        "format": "<font face='$FieldFont'><textformat leading='-35'><font size='35'>{{py:xvm.formatDate('%I:%M %p')}}</font><br></textformat><textformat rightMargin='168' leading='-2'>{{py:xvm.formatDate('%Au')}}<br><font size='18'>{{py:xvm.formatDate('%bu %d ')}}</font></textformat></font>"               
      },
       {
       "x":0, // X Line
       "y": 80,  // Y Line
       "width": 238, //width
       "height":183,  //height
       "layer": "bottom",       
       "screenHAlign": "center",
       "shadow": {  "enabled": true,   "distance": 0, "angle": 0, "color": "0x000000", "alpha": 100,   "blur": 4, "strength": 2 },
       "textFormat": { "align": "right", "valign": "center"},
       "format": "<img src='cfg:///clock/clock.png'>"
     }  
    ]
  },
//=================================================================================================================================================================|
//-----------------------------------------------------------| Hangar Clock Background|----------------------------------------------------------------------------|
 "clock_BG":  {
    // disabled : false
	"enabled": false,
    // layer - "bottom", "normal" (default), "top".    
    "layer": "bottom",
    "type": "extrafield",
    "formats": [
      { // Event Handler
	    "updateEvent": " ON_PANEL_MODE_CHANGED",
        "x": 270,
        "y":77,
        "screenHAlign": "center",
        "format": "<img src='cfg://HAWGS/img/clock.png' width='259' height='174'>"
      }
    ]
  },
  //=================================================================================================================================================
  "statistics": {
    "enabled": ${"HawgPen/HangarStatistics/HangarStatistics.xc":" enabled"},
    "layer": "bottom",
    "type": "extrafield",
    "formats": [
      { // background image, left part
        "enabled": true,
        "x": 549,
        "y": 540,
        "screenHAlign": "center",
        "format": ""
      },
      { // background image, right part
        "enabled": false,
        "x": 270,
        "y":60,
        "screenHAlign": "center",
        "scaleX": -1,
        "format": "<img src='cfg://HAWGS/img/clock.png' width='259' height='174'>"
      },
      { // text block
        "updateEvent": "ON_MY_STAT_LOADED",
        "x": 440,
        "y":94,
        "width": 320,
        "height": 150,
        "screenHAlign": "center",
        "shadow": {"enabled": true, "alpha": 90, "blur": 3, "strength": 3 },
        "textFormat": { "color": "0xa8ffbb", "size": 15 },
        "format": "<font size='12'>{{l10n:General stats}} (<font color='#F9F1BC'>{{py:xvm.formatDate('%Y-%m-%d')}}</font>)</font>\n{{l10n:WN8}}: <font color='{{mystat.c_wn8}}'>{{mystat.xwn8}} ({{mystat.wn8}})</font> {{l10n:EFF}}: <font color='{{mystat.c_eff}}'>{{mystat.xeff}} ({{mystat.eff}})</font>\n{{l10n:Avg level}}: <font color='{{mystat.c_avglvl}}'>{{mystat.avglvl%.2f}}</font>\n<font size='12'>{{l10n:Wins}}: <font color='{{mystat.c_winrate}}'>{{mystat.winrate%.2f~%}}</font>  ({{py:winrate_next(0.5)}} / {{py:winrate_next(1)}})</font>"
	}
    ]
  },
"tankStats": {
    "enabled": false,
    "layer": "top",
    "type": "extrafield",
    "formats": [
     { // text block
        "updateEvent": "ON_MY_STAT_LOADED",
        "x": -293,
        "y":94,
        "width": 320,
        "height": 150,
        "screenHAlign": "center",
        "shadow": { "color": "0x000000", "distance": 1, "angle": 0, "alpha": 60, "blur": 4, "strength": 2 },
        "textFormat": {"align": "center", "color": "0xa8ffbb", "size":12 },
        "format": "<font face='Arial'>{{l10n:TANK NAME}}: \n<font face='Arial Narrow Bold' color='{{v.premium?#EEAD0E|#CDD3B6}}' size='17'>{{v.name}}</font></font>\n<font  face='Arial'>{{l10n:TANK TYPE}}:\n   <font face='Arial' size='24' color='{{v.c_type}}'>{{v.type}}</font>"
      }      
    ]
  }
}

